Run of lintian-fixes for lua-discount

Try this locally (using the lintian-brush package):

debcheckout lua-discount
cd lua-discount
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
[2021-04-21 10:47:10] Running ['lintian-brush']
[2021-04-21 10:47:10] Opening branch at https://salsa.debian.org/lua-team/lua-discount.git/,branch=master
[2021-04-21 10:47:12] Using cached branch https://janitor.debian.net/git/lua-discount/,branch=debian%2Flatest
[2021-04-21 10:47:12] Resuming from branch https://salsa.debian.org/janitor-bot/lua-discount.git/,branch=lintian-fixes
[2021-04-21 10:47:14] Total 346 (delta 0), reused 0 (delta 0), pack-reused 346
[2021-04-21 10:47:14] 
[2021-04-21 10:47:16] Total 48 (delta 24), reused 0 (delta 0), pack-reused 6
[2021-04-21 10:47:21] All changes applied successfully.
[2021-04-21 10:47:22] Total 6 (delta 0), reused 6 (delta 0), pack-reused 0
Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/dulwich/dulwich/file.py", line 146, in __init__
    fd = os.open(
FileExistsError: [Errno 17] File exists: '/tmp/janitorqd69dqvw/lua-discount/.git/refs/heads/master.lock'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/breezy/breezy/git/transportgit.py", line 371, in lock_ref
    gf = GitFile(local_path, 'wb')
  File "/srv/janitor/debian-janitor/dulwich/dulwich/file.py", line 88, in GitFile
    return _GitFile(filename, mode, bufsize)
  File "/srv/janitor/debian-janitor/dulwich/dulwich/file.py", line 151, in __init__
    raise FileLocked(filename, self._lockfilename)
dulwich.file.FileLocked: ('/tmp/janitorqd69dqvw/lua-discount/.git/refs/heads/master', '/tmp/janitorqd69dqvw/lua-discount/.git/refs/heads/master.lock')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/janitor/debian-janitor/janitor/pull_worker.py", line 211, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/srv/janitor/debian-janitor/janitor/worker.py", line 736, in process_package
    with Workspace(
  File "/srv/janitor/debian-janitor/silver-platter/silver_platter/workspace.py", line 167, in __enter__
    self.local_tree.branch.controldir.push_branch(
  File "/srv/janitor/debian-janitor/breezy/breezy/git/dir.py", line 364, in push_branch
    push_result.branch_push_result = source.push(
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 1053, in push
    return InterBranch.get(self, target).push(
  File "/srv/janitor/debian-janitor/breezy/breezy/branch.py", line 2275, in push
    with self.source.lock_read(), self.target.lock_write():
  File "/srv/janitor/debian-janitor/breezy/breezy/git/branch.py", line 542, in lock_write
    self._lock_ref()
  File "/srv/janitor/debian-janitor/breezy/breezy/git/branch.py", line 768, in _lock_ref
    self._ref_lock = self.repository._git.refs.lock_ref(self.ref)
  File "/srv/janitor/debian-janitor/breezy/breezy/git/transportgit.py", line 373, in lock_ref
    raise LockContention(name, e)
breezy.errors.LockContention: Could not acquire lock "b'refs/heads/master'": ('/tmp/janitorqd69dqvw/lua-discount/.git/refs/heads/master', '/tmp/janitorqd69dqvw/lua-discount/.git/refs/heads/master.lock')

Full worker log